<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <requires lib="gtk" version="4.0"/>
  <template class="AddFeedWidget" parent="GtkBox">
    <child>
      <object class="GtkStack" id="stack">
        <property name="vhomogeneous">0</property>
        <property name="hhomogeneous">0</property>
        <child>
          <object class="GtkStackPage">
            <property name="name">url_page</property>
            <property name="child">
              <object class="GtkBox">
                <property name="orientation">vertical</property>
                <child>
                  <object class="GtkBox">
                    <property name="vexpand">1</property>
                    <property name="width_request">250</property>
                    <property name="valign">center</property>
                    <property name="margin_top">10</property>
                    <property name="margin_bottom">10</property>
                    <property name="orientation">vertical</property>
                    <property name="spacing">5</property>
                    <child>
                      <object class="GtkLabel">
                        <property name="can_focus">0</property>
                        <property name="label" translatable="yes">Add a Feed</property>
                        <style>
                          <class name="large-title"/>
                        </style>
                      </object>
                    </child>
                    <child>
                      <object class="GtkLabel">
                        <property name="can_focus">0</property>
                        <property name="margin_bottom">20</property>
                        <property name="label" translatable="yes">Enter the URL of a feed or website</property>
                        <style>
                          <class name="dim-label"/>
                        </style>
                      </object>
                    </child>
                    <child>
                      <object class="GtkEntry" id="url_entry">
                        <property name="placeholder_text" translatable="yes">Website or Feed URL</property>
                      </object>
                    </child>
                  </object>
                </child>
                <child>
                  <object class="GtkButton" id="parse_button">
                    <property name="label" translatable="yes">Next</property>
                    <property name="sensitive">0</property>
                    <property name="receives_default">1</property>
                    <property name="halign">end</property>
                    <style>
                      <class name="suggested-action"/>
                    </style>
                  </object>
                </child>
              </object>
            </property>
          </object>
        </child>
        <child>
          <object class="GtkStackPage">
            <property name="name">multiple_selection_page</property>
            <property name="child">
              <object class="GtkBox">
                <property name="orientation">vertical</property>
                <child>
                  <object class="GtkBox">
                    <property name="vexpand">1</property>
                    <property name="width_request">300</property>
                    <property name="margin_top">10</property>
                    <property name="margin_bottom">10</property>
                    <property name="orientation">vertical</property>
                    <property name="spacing">5</property>
                    <child>
                      <object class="GtkLabel">
                        <property name="can_focus">0</property>
                        <property name="label" translatable="yes">Multiple Feeds found</property>
                        <style>
                          <class name="large-title"/>
                        </style>
                      </object>
                    </child>
                    <child>
                      <object class="GtkLabel">
                        <property name="can_focus">0</property>
                        <property name="margin_bottom">20</property>
                        <property name="label" translatable="yes">Select one of the listed feeds below</property>
                        <style>
                          <class name="dim-label"/>
                        </style>
                      </object>
                    </child>
                    <child>
                      <object class="GtkListBox" id="feed_list">
                        <property name="activate_on_single_click">0</property>
                        <style>
                          <class name="boxed-list"/>
                        </style>
                      </object>
                    </child>
                  </object>
                </child>
                <child>
                  <object class="GtkButton" id="select_button">
                    <property name="sensitive">0</property>
                    <property name="receives_default">1</property>
                    <property name="halign">end</property>
                    <property name="valign">end</property>
                    <child>
                      <object class="GtkStack" id="select_button_stack">
                        <property name="transition_duration">50</property>
                        <property name="transition_type">crossfade</property>
                        <child>
                          <object class="GtkStackPage">
                            <property name="name">text</property>
                            <property name="title" translatable="yes">text</property>
                            <property name="child">
                              <object class="GtkLabel">
                                <property name="label" translatable="yes">Next</property>
                              </object>
                            </property>
                          </object>
                        </child>
                        <child>
                          <object class="GtkStackPage">
                            <property name="name">spinner</property>
                            <property name="title" translatable="yes">spinner</property>
                            <property name="child">
                              <object class="GtkSpinner">
                                <property name="can_focus">0</property>
                                <property name="spinning">True</property>
                              </object>
                            </property>
                          </object>
                        </child>
                      </object>
                    </child>
                    <style>
                      <class name="suggested-action"/>
                    </style>
                  </object>
                </child>
              </object>
            </property>
          </object>
        </child>
        <child>
          <object class="GtkStackPage">
            <property name="name">parsed_feed_page</property>
            <property name="child">
              <object class="GtkBox">
                <property name="orientation">vertical</property>
                <child>
                  <object class="GtkBox">
                    <property name="vexpand">1</property>
                    <property name="margin_top">10</property>
                    <property name="margin_bottom">10</property>
                    <property name="orientation">vertical</property>
                    <property name="spacing">5</property>
                    <child>
                      <object class="GtkLabel">
                        <property name="can_focus">0</property>
                        <property name="label" translatable="yes">Add Feed</property>
                        <style>
                          <class name="large-title"/>
                        </style>
                      </object>
                    </child>
                    <child>
                      <object class="GtkLabel">
                        <property name="can_focus">0</property>
                        <property name="margin_bottom">5</property>
                        <property name="label" translatable="yes">Edit the title of the feed and set its category</property>
                        <property name="wrap">1</property>
                        <property name="ellipsize">end</property>
                        <property name="lines">2</property>
                        <style>
                          <class name="dim-label"/>
                        </style>
                      </object>
                    </child>
                    <child>
                      <object class="GtkImage" id="favicon_image">
                        <property name="width_request">64</property>
                        <property name="height_request">64</property>
                        <property name="can_focus">0</property>
                        <property name="margin_bottom">5</property>
                        <property name="pixel_size">64</property>
                        <property name="icon_name">application-rss+xml-symbolic</property>
                      </object>
                    </child>
                    <child>
                      <object class="GtkEntry" id="feed_title_entry">
                        <property name="valign">center</property>
                        <property name="hexpand">1</property>
                        <property name="placeholder_text" translatable="yes">Feed Title</property>
                      </object>
                    </child>
                    <child>
                      <object class="GtkComboBoxText" id="category_combo">
                        <property name="has_entry">1</property>
                        <property name="entry_text_column">1</property>
                        <property name="id_column">0</property>
                      </object>
                    </child>
                  </object>
                </child>
                <child>
                  <object class="GtkButton" id="add_button">
                    <property name="label" translatable="yes">Add</property>
                    <property name="sensitive">0</property>
                    <property name="receives_default">1</property>
                    <property name="halign">end</property>
                    <style>
                      <class name="suggested-action"/>
                    </style>
                  </object>
                </child>
              </object>
            </property>
          </object>
        </child>
        <child>
          <object class="GtkStackPage">
            <property name="name">spinner</property>
            <property name="child">
              <object class="GtkSpinner">
                <property name="width_request">64</property>
                <property name="height_request">64</property>
                <property name="margin_top">32</property>
                <property name="margin_bottom">32</property>
                <property name="margin_start">48</property>
                <property name="margin_end">48</property>
                <property name="spinning">True</property>
              </object>
            </property>
          </object>
        </child>
      </object>
    </child>
  </template>
</interface>
